Skip to navigation

Update IC invoicing tax

Applies a partial update to the invoicing tax for an independent contractor contract; accepts tax_type (WITHHOLDING_TAX or VAT) and percentage to modify how taxes are calculated on future invoices.

Token scopes: invoice-adjustments:write

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel Contract ID

Request

This endpoint expects an object.
dataobjectOptional
IC invoicing tax fields to update on the contract.

Response

IC tax successfully updated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error